# Class CountryBasedPaymentAccountPayload

#### Hierarchy

- unknown
  - CountryBasedPaymentAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:3830
- Defined in src/protobuf/pb_pb.d.ts:3934

#####
Index

### Constructors

constructor

### Methods

addAcceptedCountryCodes
clearAcceptedCountryCodesList
clearBankAccountPayload
clearBizumAccountPayload
clearCashDepositAccountPayload
clearF2fAccountPayload
clearIfscBasedAccountPayload
clearNequiAccountPayload
clearPaytmAccountPayload
clearPixAccountPayload
clearSatispayAccountPayload
clearSepaAccountPayload
clearSepaInstantAccountPayload
clearStrikeAccountPayload
clearSwiftAccountPayload
clearTikkieAccountPayload
clearTransferwiseUsdAccountPayload
clearUpiAccountPayload
clearWesternUnionAccountPayload
getAcceptedCountryCodesList
getBankAccountPayload
getBizumAccountPayload
getCashDepositAccountPayload
getCountryCode
getF2fAccountPayload
getIfscBasedAccountPayload
getMessageCase
getNequiAccountPayload
getPaytmAccountPayload
getPixAccountPayload
getSatispayAccountPayload
getSepaAccountPayload
getSepaInstantAccountPayload
getStrikeAccountPayload
getSwiftAccountPayload
getTikkieAccountPayload
getTransferwiseUsdAccountPayload
getUpiAccountPayload
getWesternUnionAccountPayload
hasBankAccountPayload
hasBizumAccountPayload
hasCashDepositAccountPayload
hasF2fAccountPayload
hasIfscBasedAccountPayload
hasNequiAccountPayload
hasPaytmAccountPayload
hasPixAccountPayload
hasSatispayAccountPayload
hasSepaAccountPayload
hasSepaInstantAccountPayload
hasStrikeAccountPayload
hasSwiftAccountPayload
hasTikkieAccountPayload
hasTransferwiseUsdAccountPayload
hasUpiAccountPayload
hasWesternUnionAccountPayload
serializeBinary
setAcceptedCountryCodesList
setBankAccountPayload
setBizumAccountPayload
setCashDepositAccountPayload
setCountryCode
setF2fAccountPayload
setIfscBasedAccountPayload
setNequiAccountPayload
setPaytmAccountPayload
setPixAccountPayload
setSatispayAccountPayload
setSepaAccountPayload
setSepaInstantAccountPayload
setStrikeAccountPayload
setSwiftAccountPayload
setTikkieAccountPayload
setTransferwiseUsdAccountPayload
setUpiAccountPayload
setWesternUnionAccountPayload
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CountryBasedPaymentAccountPayload(): CountryBasedPaymentAccountPayload

- #### Returns CountryBasedPaymentAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### addAcceptedCountryCodes

- addAcceptedCountryCodes(value: string, index?: number): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3837

### clearAcceptedCountryCodesList

- clearAcceptedCountryCodesList(): CountryBasedPaymentAccountPayload

- #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3836

### clearBankAccountPayload

- clearBankAccountPayload(): CountryBasedPaymentAccountPayload

- #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3842

### clearBizumAccountPayload

- clearBizumAccountPayload(): CountryBasedPaymentAccountPayload

- #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3892

### clearCashDepositAccountPayload

- clearCashDepositAccountPayload(): CountryBasedPaymentAccountPayload

- #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3847

### clearF2fAccountPayload

- clearF2fAccountPayload(): CountryBasedPaymentAccountPayload

- #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3867

### clearIfscBasedAccountPayload

- clearIfscBasedAccountPayload(): CountryBasedPaymentAccountPayload

- #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3882

### clearNequiAccountPayload

- clearNequiAccountPayload(): CountryBasedPaymentAccountPayload

- #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3887

### clearPaytmAccountPayload

- clearPaytmAccountPayload(): CountryBasedPaymentAccountPayload

- #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3877

### clearPixAccountPayload

- clearPixAccountPayload(): CountryBasedPaymentAccountPayload

- #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3897

### clearSatispayAccountPayload

- clearSatispayAccountPayload(): CountryBasedPaymentAccountPayload

- #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3902

### clearSepaAccountPayload

- clearSepaAccountPayload(): CountryBasedPaymentAccountPayload

- #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3852

### clearSepaInstantAccountPayload

- clearSepaInstantAccountPayload(): CountryBasedPaymentAccountPayload

- #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3862

### clearStrikeAccountPayload

- clearStrikeAccountPayload(): CountryBasedPaymentAccountPayload

- #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3907

### clearSwiftAccountPayload

- clearSwiftAccountPayload(): CountryBasedPaymentAccountPayload

- #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3922

### clearTikkieAccountPayload

- clearTikkieAccountPayload(): CountryBasedPaymentAccountPayload

- #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3912

### clearTransferwiseUsdAccountPayload

- clearTransferwiseUsdAccountPayload(): CountryBasedPaymentAccountPayload

- #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3917

### clearUpiAccountPayload

- clearUpiAccountPayload(): CountryBasedPaymentAccountPayload

- #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3872

### clearWesternUnionAccountPayload

- clearWesternUnionAccountPayload(): CountryBasedPaymentAccountPayload

- #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3857

### getAcceptedCountryCodesList

- getAcceptedCountryCodesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:3834

### getBankAccountPayload

- getBankAccountPayload(): undefined | BankAccountPayload

- #### Returns undefined | BankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3839

### getBizumAccountPayload

- getBizumAccountPayload(): undefined | BizumAccountPayload

- #### Returns undefined | BizumAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3889

### getCashDepositAccountPayload

- getCashDepositAccountPayload(): undefined | CashDepositAccountPayload

- #### Returns undefined | CashDepositAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3844

### getCountryCode

- getCountryCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3831

### getF2fAccountPayload

- getF2fAccountPayload(): undefined | F2FAccountPayload

- #### Returns undefined | F2FAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3864

### getIfscBasedAccountPayload

- getIfscBasedAccountPayload(): undefined | IfscBasedAccountPayload

- #### Returns undefined | IfscBasedAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3879

### getMessageCase

- getMessageCase(): CountryBasedPaymentAccountPayload.MessageCase

- #### Returns CountryBasedPaymentAccountPayload.MessageCase

  - Defined in src/protobuf/pb_pb.d.ts:3924

### getNequiAccountPayload

- getNequiAccountPayload(): undefined | NequiAccountPayload

- #### Returns undefined | NequiAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3884

### getPaytmAccountPayload

- getPaytmAccountPayload(): undefined | PaytmAccountPayload

- #### Returns undefined | PaytmAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3874

### getPixAccountPayload

- getPixAccountPayload(): undefined | PixAccountPayload

- #### Returns undefined | PixAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3894

### getSatispayAccountPayload

- getSatispayAccountPayload(): undefined | SatispayAccountPayload

- #### Returns undefined | SatispayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3899

### getSepaAccountPayload

- getSepaAccountPayload(): undefined | SepaAccountPayload

- #### Returns undefined | SepaAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3849

### getSepaInstantAccountPayload

- getSepaInstantAccountPayload(): undefined | SepaInstantAccountPayload

- #### Returns undefined | SepaInstantAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3859

### getStrikeAccountPayload

- getStrikeAccountPayload(): undefined | StrikeAccountPayload

- #### Returns undefined | StrikeAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3904

### getSwiftAccountPayload

- getSwiftAccountPayload(): undefined | SwiftAccountPayload

- #### Returns undefined | SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3919

### getTikkieAccountPayload

- getTikkieAccountPayload(): undefined | TikkieAccountPayload

- #### Returns undefined | TikkieAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3909

### getTransferwiseUsdAccountPayload

- getTransferwiseUsdAccountPayload(): undefined | TransferwiseUsdAccountPayload

- #### Returns undefined | TransferwiseUsdAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3914

### getUpiAccountPayload

- getUpiAccountPayload(): undefined | UpiAccountPayload

- #### Returns undefined | UpiAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3869

### getWesternUnionAccountPayload

- getWesternUnionAccountPayload(): undefined | WesternUnionAccountPayload

- #### Returns undefined | WesternUnionAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3854

### hasBankAccountPayload

- hasBankAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3841

### hasBizumAccountPayload

- hasBizumAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3891

### hasCashDepositAccountPayload

- hasCashDepositAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3846

### hasF2fAccountPayload

- hasF2fAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3866

### hasIfscBasedAccountPayload

- hasIfscBasedAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3881

### hasNequiAccountPayload

- hasNequiAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3886

### hasPaytmAccountPayload

- hasPaytmAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3876

### hasPixAccountPayload

- hasPixAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3896

### hasSatispayAccountPayload

- hasSatispayAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3901

### hasSepaAccountPayload

- hasSepaAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3851

### hasSepaInstantAccountPayload

- hasSepaInstantAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3861

### hasStrikeAccountPayload

- hasStrikeAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3906

### hasSwiftAccountPayload

- hasSwiftAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3921

### hasTikkieAccountPayload

- hasTikkieAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3911

### hasTransferwiseUsdAccountPayload

- hasTransferwiseUsdAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3916

### hasUpiAccountPayload

- hasUpiAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3871

### hasWesternUnionAccountPayload

- hasWesternUnionAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3856

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3926

### setAcceptedCountryCodesList

- setAcceptedCountryCodesList(value: string[]): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### value: string[]

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3835

### setBankAccountPayload

- setBankAccountPayload(value?: BankAccountPayload): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: BankAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3840

### setBizumAccountPayload

- setBizumAccountPayload(value?: BizumAccountPayload): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: BizumAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3890

### setCashDepositAccountPayload

- setCashDepositAccountPayload(value?: CashDepositAccountPayload): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: CashDepositAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3845

### setCountryCode

- setCountryCode(value: string): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3832

### setF2fAccountPayload

- setF2fAccountPayload(value?: F2FAccountPayload): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: F2FAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3865

### setIfscBasedAccountPayload

- setIfscBasedAccountPayload(value?: IfscBasedAccountPayload): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: IfscBasedAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3880

### setNequiAccountPayload

- setNequiAccountPayload(value?: NequiAccountPayload): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: NequiAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3885

### setPaytmAccountPayload

- setPaytmAccountPayload(value?: PaytmAccountPayload): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: PaytmAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3875

### setPixAccountPayload

- setPixAccountPayload(value?: PixAccountPayload): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: PixAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3895

### setSatispayAccountPayload

- setSatispayAccountPayload(value?: SatispayAccountPayload): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: SatispayAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3900

### setSepaAccountPayload

- setSepaAccountPayload(value?: SepaAccountPayload): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: SepaAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3850

### setSepaInstantAccountPayload

- setSepaInstantAccountPayload(value?: SepaInstantAccountPayload): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: SepaInstantAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3860

### setStrikeAccountPayload

- setStrikeAccountPayload(value?: StrikeAccountPayload): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: StrikeAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3905

### setSwiftAccountPayload

- setSwiftAccountPayload(value?: SwiftAccountPayload): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: SwiftAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3920

### setTikkieAccountPayload

- setTikkieAccountPayload(value?: TikkieAccountPayload): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: TikkieAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3910

### setTransferwiseUsdAccountPayload

- setTransferwiseUsdAccountPayload(value?: TransferwiseUsdAccountPayload): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: TransferwiseUsdAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3915

### setUpiAccountPayload

- setUpiAccountPayload(value?: UpiAccountPayload): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: UpiAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3870

### setWesternUnionAccountPayload

- setWesternUnionAccountPayload(value?: WesternUnionAccountPayload): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: WesternUnionAccountPayload

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3855

### toObject

- toObject(includeInstance?: boolean): CountryBasedPaymentAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CountryBasedPaymentAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:3927

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3930

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CountryBasedPaymentAccountPayload, reader: BinaryReader): CountryBasedPaymentAccountPayload

- #### Parameters

  - ##### message: CountryBasedPaymentAccountPayload

  - ##### reader: BinaryReader

  #### Returns CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3931

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CountryBasedPaymentAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CountryBasedPaymentAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:3929

### `Static` toObject

- toObject(includeInstance: boolean, msg: CountryBasedPaymentAccountPayload): CountryBasedPaymentAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CountryBasedPaymentAccountPayload

  #### Returns CountryBasedPaymentAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:3928

Generated using TypeDoc